{#
/**
 * @file
 * Template for Metaheader component.
 *
 * Available config:
 * - container: fixed | fluid
 * - metaheader_theme: light | dark
 * - metaheader_utility_classes: An array of utility classes.
 * - container_classes: An array of utility classes.
 *
 * Available blocks:
 * - left
 * - right
 *
 * This is a custom DROWL Base SDC (not Radix based).
 */
#}
{% set metaheader_container_attributes = metaheader_container_attributes ?: create_attribute() %}
{% set metaheader_row_attributes = metaheader_row_attributes ?: create_attribute() %}
{% set metaheader_attributes = metaheader_attributes ?: create_attribute() %}
{% set metaheader_first_attributes = metaheader_first_attributes ?: create_attribute() %}
{% set metaheader_last_attributes = metaheader_last_attributes ?: create_attribute() %}


{%
  set metaheader_container_classes = [
    container == 'fixed' ? 'container-lg' : '',
  ]|merge(metaheader_container_utility_classes ?: [])
%}

{%
  set metaheader_row_classes = [
    'row'
  ]|merge(metaheader_row_utility_classes ?: [])
%}

{%
  set metaheader_classes = [
    'meta-header',
  ]|merge(metaheader_utility_classes ?: [])
%}

{%
  set metaheader_first_classes = [
    'meta-header__first',
  ]|merge(metaheader_first_utility_classes ?: [])
%}

{%
  set metaheader_last_classes = [
    'meta-header__last',
  ]|merge(metaheader_last_utility_classes ?: [])
%}

{% set metaheader_theme = metaheader_theme ?? 'light' %}

<nav {{ metaheader_attributes.addClass(metaheader_classes).setAttribute('data-bs-theme', metaheader_theme) }}>
  {% if container %}
    <div {{ metaheader_container_attributes.addClass(metaheader_container_classes) }}>
  {% endif %}
  <div {{ metaheader_row_attributes.addClass(metaheader_row_classes) }}>
    {% block left %}
      <div {{ metaheader_first_attributes.addClass(metaheader_first_classes) }}>
        {{ left }}
      </div>
    {% endblock %}

    {% block right %}
      <div {{ metaheader_last_attributes.addClass(metaheader_last_classes) }}>
        {{ right }}
      </div>
    {% endblock %}
  </div>
  {% if container %}
    </div>
  {% endif %}
</nav>
